cURL
curl --request PATCH \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/backups-config \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"enabled":true,"frequency_minutes":60,"retention_days":7}'{
"enabled": true,
"frequency_minutes": 60,
"retention_days": 7
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Update the backup configuration for a cluster
Can be used by the following roles assigned at the organization, folder or cluster scope:
- CLUSTER_ADMIN
- CLUSTER_OPERATOR_WRITER
PATCH
/
api
/
v1
/
clusters
/
{cluster_id}
/
backups-config
cURL
curl --request PATCH \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/backups-config \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"enabled":true,"frequency_minutes":60,"retention_days":7}'{
"enabled": true,
"frequency_minutes": 60,
"retention_days": 7
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Authorizations
Path Parameters
Body
application/json
spec contains the information that is being updated for the given BackupConfiguration.
How frequently in minutes that backups are taken, which will determine the RPO of the cluster. Valid values are [5, 10, 15, 30, 60, 240, 1440].
Response
A successful response.
How frequently in minutes that backups are taken, which will determine the RPO of the cluster.

